## repupgrade

#### NAME

repupgrade - Enables upgrading to a newer version of the CIM schema by recreating schema extensions from an old repository in a new repository that has been initialized with the new version of the schema.

#### SYNOPSIS

`

repupgrade -o oldrepositorypath -n newrepositorypath

repupgrade -h | --help

repupgrade -v | --version

`

#### DESCRIPTION

The utility will recreate schema extensions from an older repository in a new repository. New namespaces, class extensions, qualifier extensions and instances in the old repository will be created in the new repository.

If an error occurs during the upgrade an error message is displayed and the upgrade is aborted. If an error occurs during the creation of a schema element, the CIM/XML request for creating the schema element is logged.

#### OPTIONS

`repupgrade` recognizes the following options:

`-o` | Specifies the old repository path. If the old repository path does not exist, an error message is returned and no action is taken.
`-n` | Specifies the new repository path. If the new repository path does not exist, an error message is returned and no action is taken.
`-h | --help` | Displays the command help message.
`-v | --version` | Displays the CIMServer version number.

#### EXIT STATUS

When an error occurs, an error message is written to stderr and an error value 1 is returned. The following values are returned:

0 | Success
1 | Error

#### EXAMPLE

Upgrade the contents of an old repository located in `/home/test/prev_repository` to a new repository located in `/home/test/repository`

`repupgrade -o /home/test/prev_repository -n /home/test/repository`